Skip to content

Retrieve available card programs

Request

Retrieves the list of available card programs for each profileId.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Example:123456
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v3/spend/profiles/123456/card-orders/availability \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved available card programs.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
cardProgramsArray of objects

List of available card programs. A Card Program is what Wise refers to all the cards that you will be issuing with us, grouped by product type and by issuing country.

Response
{ "cardPrograms": [ { "name": "VISA_DEBIT_BUSINESS_UK_1_CARDS_API", "scheme": "VISA", "defaultCurrency": "GBP", "cardType": "VIRTUAL_NON_UPGRADEABLE" } ] }